Cloud APIs
/- DrillPlan
Offset Well API
- Create new or update existing survey entities
Delete survey entities by ids
Delete survey entities by well guids
Get surveys by ids
Get surveys by well guids
Get QC rules for survey
Scroll to fetch results of next page
Create new or update exis...
Security
(bearer and appkey) or (sauth_service_token and appkey)
A list of Survey entities to be created or updated
- ProdEUhttps://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/surveys
- ProdUShttps://api.delfi.slb.com/drillplan/offset-well-data/v1/surveys
- Mock serverhttps://developer.slb.com/_mock/solutions/drillplan/apis/offsetwellapi/v1/surveys
- bearer + appkey
- sauth_service_token + appkey
- application/json-patch+json
- application/json
- text/json
- application/*+json
curl -i -X POST \
https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/surveys \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-partition-id: string' \
-d '[
{
"id": "string",
"azimuth": 0.1,
"data_source": "string",
"east_west": 0.1,
"inclination": 0.1,
"md": 0.1,
"north_south": 0.1,
"tvd": 0.1,
"well_guid": "string"
}
]'Created
Response
- text/plain
- application/json
- text/json
{
"total_entity_count": 0,
"created_entity_count": 0,
"updated_entity_count": 0,
"created_entities": [
{
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"well_name": "string",
"id": "string",
"azimuth": 0.1,
"data_source": "string",
"east_west": 0.1,
"inclination": 0.1,
"md": 0.1,
"north_south": 0.1,
"tvd": 0.1,
"well_guid": "string"
}
],
"updated_entities": [
{
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"well_name": "string",
"id": "string",
"azimuth": 0.1,
"data_source": "string",
"east_west": 0.1,
"inclination": 0.1,
"md": 0.1,
"north_south": 0.1,
"tvd": 0.1,
"well_guid": "string"
}
],
"entity_violations": [
{
"source": {
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"well_name": "string",
"id": "string",
"azimuth": 0.1,
"data_source": "string",
"east_west": 0.1,
"inclination": 0.1,
"md": 0.1,
"north_south": 0.1,
"tvd": 0.1,
"well_guid": "string"
},
"violations": [
{
"fatal_violation": true,
"details": "string"
}
]
}
],
"action_succeeded": true,
"master_error": "string",
"dependent_action_errors": [
"string"
],
"action_key": "string"
}